---
description: Testreszabás és szerkesztés egyszerűen
---

# Oldalsáv és widgetek

Az oldalsáv testreszabható widgetekből áll, amelyek lehetővé teszik az Objektumok előnézetét és a közöttük történő gyors navigációt.

Az oldalsávod alapértelmezetten tartalmaz néhány widgetet, melyek a [Könyvtár](../../basics/anytype-library.md)hoz és a Kukához vezetnek.

Általánosságban elmondható, hogy az Anytype-ban általad létrehozott _bármely_ objektum használható widgetként, amelyek hierarchikusan faszerkezetben, vagy kompakt hivatkozásnézetben jeleníthetők meg. A [Készletek és Gyűjtemények](../../basics/sets-and-collections.md) - melyek maguk is objektumok - szintén használhatók widgetként az azokban található objektumok listájával.

A könnyebb elérés érdekében az oldalsávhoz az alábbi, _nem__objektum__alapú_ widgeteket is hozzáadhatod:

* Kedvencek: kedvencekként megjelölt objektumok, azok típusától függetlenül
* Készletek: minden készlet-típusú objektum
* Gyűjtemények: minden gyűjtemény-típusú objektum
* Legutóbb szerkesztve: a legutóbb szerkesztett objektumaid listája (az eszközeid között szinkronizálva)
* Legutóbb megnyitva: a legutóbb megnyitott objektumaid listája (az adott eszközön)

{% content-ref url="../../use-cases/simple-dashboard.md" %}
[Egyszerű irányítópult](../../use-cases/simple-dashboard.md)
{% endcontent-ref %}

### Widgetek személyre szabása

A widgetek személyre szabásához az oldalsáv alján kattints a "Widgetek szerkesztése" gombra. Ezt követően további widgeteket is hozzáadhatsz, vagy törölheted a meglévőket.

A "Hozzáadás" gombra kattintva válaszd ki a widget forrását. Emlékeztetőül, widgetként bármilyen korábban létrehozott objektumot beállíthatsz, vagy ha többre vágysz, választhatsz a fenti lehetőségek közül. A widgeteket a mellettük látható (-) jellel törölheted.

Asztali eszközön az objektumokat közvetlenül az oldalsávra húzhatod, így a widgeteket még gyorsabban létrehozhatod.

### Widgetek megjelenésének módosítása

A widgetek forrásától függően, számos elrendezés közül választhatsz.

Az objektumokból létrehozott widgetek (Oldal, Jegyzet, stb.) "Faszerkezet" és "Hivatkozás" nézetben jeleníthetők meg. Előbbivel valamennyi, az objektumhoz elsődleges és másodlagos szinten kapcsolódó objektum könnyedén és strukturáltan áttekinthető, míg az utóbbi kizárólag a widget forrásaként használt objektum nevét jeleníti meg.

<figure><img src="/.gitbook/assets/Screenshot 2023-08-18 at 09.01.31.png" alt=""><figcaption><p>Az oldalsáv tetején látható 'Self' nevű widget faszerkezet-, míg az alatta található 'Home' widget hivatkozásnézetben jelenik meg.</p></figcaption></figure>

Készletekből és gyűjteményekből létrehozott widgetek esetén az "Összetett lista" és "Lista" nézetekből választhatsz. Bár az egyes készletek és gyűjtemények megadott tulajdonságainak megfelelő objektumokat mindkét nézet megjeleníti, előbbi áttekinthetőbb, utóbbi részletesebb betekintést tesz lehetővé.

<figure><img src="/.gitbook/assets/Screenshot 2023-08-18 at 09.08.53 (1).png" alt=""><figcaption><p>A 'Disco Room' nevű widget fent összetett lista-, lentebb listanézetben látható.</p></figcaption></figure>

### Widgetek használata mobileszközön

#### Widgetek elrendezése

Az Anytype-ot mobileszközön használva az aktuális widgetek mellett, a képernyő alján három navigációs opciót is láthatsz.

A widgetek az asztali alkalmazással megegyező módon testreszabhatók.

A widgetek szerkesztéséhez és mozgatásához görgess le a lista aljára, majd a Kuka alatt bökj a "Widgetek szerkesztése" gombra.

#### Widgetek használata

Az Anytype testreszabásában és mobileszközödön történő használatában a widgetek lesznek leginkább a segítségedre.

A widgetek beállításával hatékonyan érheted el a számodra legfontosabb objektumokat.

A gyorsabb hozzáférés érdekében a leggyakrabban használt objektumokat mozgasd a lista tetejére, vagy hozz létre készleteket, így - mintegy feladatkezelőként - gyorsan áttekintheted az előtted álló teendőket.
